<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CEntrance Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCEntrance-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CEntrance Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>represents entrance to the map, positions, where attackers can be inserted  
 <a href="classCEntrance.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entities_8h_source.html">entities.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CEntrance:</div>
<div class="dyncontent">
<div class="center"><img src="classCEntrance__inherit__graph.png" border="0" usemap="#CEntrance_inherit__map" alt="Inheritance graph"/></div>
<map name="CEntrance_inherit__map" id="CEntrance_inherit__map">
<area shape="rect" id="node2" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="14,5,81,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for CEntrance:</div>
<div class="dyncontent">
<div class="center"><img src="classCEntrance__coll__graph.png" border="0" usemap="#CEntrance_coll__map" alt="Collaboration graph"/></div>
<map name="CEntrance_coll__map" id="CEntrance_coll__map">
<area shape="rect" id="node2" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="14,5,81,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acfcb3c4f09b0489d45108066c3102af1"><td class="memItemLeft" align="right" valign="top"><a id="acfcb3c4f09b0489d45108066c3102af1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>CEntrance</b> (char x, int row, int <a class="el" href="classCEntrance.html#ac48c62ffb0ce4c8d2380513f66534084">col</a>)</td></tr>
<tr class="separator:acfcb3c4f09b0489d45108066c3102af1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cb8fc3f81071ca0c117443fd039c5de"><td class="memItemLeft" align="right" valign="top"><a id="a4cb8fc3f81071ca0c117443fd039c5de"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>print</b> (ostream &amp;os) const</td></tr>
<tr class="separator:a4cb8fc3f81071ca0c117443fd039c5de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a266bdd73cd74b763e93a7cb939da73cf"><td class="memItemLeft" align="right" valign="top"><a id="a266bdd73cd74b763e93a7cb939da73cf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPath</b> (const list&lt; <a class="el" href="structTCoord.html">TCoord</a> &gt; &amp;path)</td></tr>
<tr class="separator:a266bdd73cd74b763e93a7cb939da73cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae83395782a975cd21708d8113243f3b5"><td class="memItemLeft" align="right" valign="top"><a id="ae83395782a975cd21708d8113243f3b5"></a>
const list&lt; <a class="el" href="structTCoord.html">TCoord</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntrance.html#ae83395782a975cd21708d8113243f3b5">getPath</a> () const</td></tr>
<tr class="memdesc:ae83395782a975cd21708d8113243f3b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns list with set of coordinates how to get to the end <br /></td></tr>
<tr class="separator:ae83395782a975cd21708d8113243f3b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6ef91845b30fbdb0a3a1f7fff337560"><td class="memItemLeft" align="right" valign="top"><a id="ae6ef91845b30fbdb0a3a1f7fff337560"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>row</b> () const</td></tr>
<tr class="separator:ae6ef91845b30fbdb0a3a1f7fff337560"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac48c62ffb0ce4c8d2380513f66534084"><td class="memItemLeft" align="right" valign="top"><a id="ac48c62ffb0ce4c8d2380513f66534084"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntrance.html#ac48c62ffb0ce4c8d2380513f66534084">col</a> () const</td></tr>
<tr class="memdesc:ac48c62ffb0ce4c8d2380513f66534084"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns row coord <br /></td></tr>
<tr class="separator:ac48c62ffb0ce4c8d2380513f66534084"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCEntity"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCEntity')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCEntity.html">CEntity</a></td></tr>
<tr class="memitem:a9ab2d129368e2d3acfec883129439e1c inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a9ab2d129368e2d3acfec883129439e1c"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">discover</a> () const</td></tr>
<tr class="memdesc:a9ab2d129368e2d3acfec883129439e1c inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is discoverable ( if it's either free space or path ) <br /></td></tr>
<tr class="separator:a9ab2d129368e2d3acfec883129439e1c inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a5bedcc5d44f5b4a65d8abd8bc7766588"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">isPath</a> () const</td></tr>
<tr class="memdesc:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints the object ( it's symbol ) <br /></td></tr>
<tr class="separator:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a833f1423fd7e0f2096517b100c44db72"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">~CEntity</a> ()=default</td></tr>
<tr class="memdesc:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is path or not. <br /></td></tr>
<tr class="separator:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a63934cc23035d6a571042561e19dd436"><td class="memItemLeft" align="right" valign="top"><a id="a63934cc23035d6a571042561e19dd436"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntrance.html#a63934cc23035d6a571042561e19dd436">m_symbol</a></td></tr>
<tr class="memdesc:a63934cc23035d6a571042561e19dd436"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns col coord <br /></td></tr>
<tr class="separator:a63934cc23035d6a571042561e19dd436"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad34cd3b27f3558e49116bdbc749b227a"><td class="memItemLeft" align="right" valign="top"><a id="ad34cd3b27f3558e49116bdbc749b227a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_row</b></td></tr>
<tr class="separator:ad34cd3b27f3558e49116bdbc749b227a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a20018347e105d7617a6e139ce59a7b"><td class="memItemLeft" align="right" valign="top"><a id="a9a20018347e105d7617a6e139ce59a7b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_col</b></td></tr>
<tr class="separator:a9a20018347e105d7617a6e139ce59a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af54131d5437ab7f459f669c0f7d3ee"><td class="memItemLeft" align="right" valign="top"><a id="a2af54131d5437ab7f459f669c0f7d3ee"></a>
list&lt; <a class="el" href="structTCoord.html">TCoord</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>m_pathToEnd</b></td></tr>
<tr class="separator:a2af54131d5437ab7f459f669c0f7d3ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>represents entrance to the map, positions, where attackers can be inserted </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="entities_8h_source.html">entities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
